GDB (xrefs)

Public Attributes | List of all members
remote_thread_info Struct Reference
Inheritance diagram for remote_thread_info:

## Public Attributes
std::string | extra
std::string | name
int | core = -1
gdb::byte_vector | thread_handle
enum target_stop_reason | stop_reason = TARGET_STOPPED_BY_NO_REASON
CORE_ADDR | watch_data_address = 0
int | last_resume_step = 0
gdb_signal | last_resume_sig = GDB_SIGNAL_0
int | vcont_resumed = 0

## Additional Inherited Members
Public Member Functions inherited from private_thread_info
virtual | ~private_thread_info ()=0

## Detailed Description

Definition at line 443 of file remote.c.

## Member Data Documentation

## ◆ core

int remote_thread_info::core = -1

Definition at line 447 of file remote.c.

Referenced by process_stop_reply(), remote_core_of_thread(), and remote_update_thread_list().

## ◆ extra

std::string remote_thread_info::extra

Definition at line 445 of file remote.c.

Referenced by remote_threads_extra_info(), and remote_update_thread_list().

## ◆ last_resume_sig

gdb_signal remote_thread_info::last_resume_sig = GDB_SIGNAL_0

Definition at line 472 of file remote.c.

Referenced by remote_commit_resume(), and remote_resume().

## ◆ last_resume_step

int remote_thread_info::last_resume_step = 0

Definition at line 468 of file remote.c.

Referenced by remote_commit_resume(), and remote_resume().

## ◆ name

std::string remote_thread_info::name

Definition at line 446 of file remote.c.

Referenced by remote_thread_name(), and remote_update_thread_list().

## ◆ stop_reason

enum target_stop_reason remote_thread_info::stop_reason = TARGET_STOPPED_BY_NO_REASON

Definition at line 454 of file remote.c.

Referenced by process_stop_reply().

## ◆ thread_handle

gdb::byte_vector remote_thread_info::thread_handle

Definition at line 451 of file remote.c.

Referenced by remote_update_thread_list().

## ◆ vcont_resumed

int remote_thread_info::vcont_resumed = 0

Definition at line 476 of file remote.c.

Referenced by process_initial_stop_replies(), process_stop_reply(), remote_add_thread(), and remote_commit_resume().

## ◆ watch_data_address

CORE_ADDR remote_thread_info::watch_data_address = 0

Definition at line 458 of file remote.c.

Referenced by process_stop_reply(), and remote_stopped_data_address().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/remote.c